Bug 436681 - irq 21: nobody cared try booting with the "irqpoll" option / ata_interrupt libata / usb_hcd_irq
irq 21: nobody cared try booting with the "irqpoll" option / ata_interrupt li...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 04:26 EDT by Need Real Name
Modified: 2009-01-09 01:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:08:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the boot screen (142.30 KB, image/jpeg)
2008-03-09 04:26 EDT, Need Real Name
no flags Details
output of lspci -vv on (26.22 KB, application/octet-stream)
2008-03-09 04:32 EDT, Need Real Name
no flags Details
Output of dmesg (22.20 KB, text/plain)
2008-03-09 21:14 EDT, Harsha Srinath
no flags Details
Output of /proc/interrupts (919 bytes, text/plain)
2008-03-09 21:15 EDT, Harsha Srinath
no flags Details
Output of lspci (14.26 KB, text/plain)
2008-03-09 21:15 EDT, Harsha Srinath
no flags Details
Screenshot # 1 of problem during bootup (1.83 MB, image/jpeg)
2008-03-09 21:17 EDT, Harsha Srinath
no flags Details
Screenshot # 2 of problem during bootup (1.97 MB, image/jpeg)
2008-03-09 21:18 EDT, Harsha Srinath
no flags Details
Screenshot # 3 of problem during bootup (1.77 MB, image/jpeg)
2008-03-09 21:20 EDT, Harsha Srinath
no flags Details
Screenshot # 1 of problem during bootup (smaller file size) (67.17 KB, image/jpeg)
2008-03-09 21:26 EDT, Harsha Srinath
no flags Details
Screenshot # 2 of problem during bootup (smaller file size) (127.04 KB, image/jpeg)
2008-03-09 21:27 EDT, Harsha Srinath
no flags Details
Screenshot # 3 of problem during bootup (smaller file size) (102.77 KB, image/jpeg)
2008-03-09 21:27 EDT, Harsha Srinath
no flags Details
Screenshot # 4 of problem during bootup (smaller file size) (121.97 KB, image/jpeg)
2008-03-09 21:27 EDT, Harsha Srinath
no flags Details
Screenshot # 5 of problem during bootup (smaller file size) (138.50 KB, image/jpeg)
2008-03-09 21:28 EDT, Harsha Srinath
no flags Details

  None (edit)
Description Need Real Name 2008-03-09 04:26:02 EDT
Description of problem:

Can not boot with 2.6.24.3-12
up to 2.6.23.15-137 works fine

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8

How reproducible:
100%

Steps to Reproduce:
1. boot
  
Actual results (also see attached screenshot):
Red Hat nash version 6.0.19 starting:
irq 21: nobody cared (try booting with the "irqpoll" option)
handlers:
[<c05852b3>] (usb_hcd_irg+0x0/0x4e)
[<f88db91b>] (ata_interrupt+0x0/0x1ba [libata])
Disabling IRQ #21
ata1.00: cmd c8/00:08:00:00:00:00/00:00:00:00:00:00/e0 tag 0 dma 4096 in
ata1.00: status: { DRDY }
ata1.00: revalidation failed (errno=-5)
ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
...


Expected results:
normal boot ;)

Additional info:
Comment 1 Need Real Name 2008-03-09 04:26:02 EDT
Created attachment 297349 [details]
Screenshot of the boot screen
Comment 2 Need Real Name 2008-03-09 04:32:35 EDT
Created attachment 297350 [details]
output of lspci -vv on 

lspci and cat /proc/interrupts on working 2.6.23.15-137:

[root@darkstar log]# cat /proc/interrupts 
	   CPU0       CPU1	 
  0:	    252 	 0   IO-APIC-edge      timer
  1:	   5793 	 0   IO-APIC-edge      i8042
  7:	      0 	 0   IO-APIC-edge      parport0
  8:	      1 	 0   IO-APIC-edge      rtc
  9:	      1 	 0   IO-APIC-fasteoi   acpi
 16:	    565    9619871   IO-APIC-fasteoi   uhci_hcd:usb3, ahci, eth0,
nvidia
 17:	  95293 	 0   IO-APIC-fasteoi   libata, eth1
 18:	      0 	 0   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb7
 19:	4179091 	 0   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb5
 20:	      0 	 0   IO-APIC-fasteoi   uhci_hcd:usb4
 21:	 506004 	 0   IO-APIC-fasteoi   uhci_hcd:usb6, libata, libata
 22:	    400 	 0   IO-APIC-fasteoi   HDA Intel
 23:	      3        761   IO-APIC-fasteoi   firewire_ohci
NMI:	      0 	 0 
LOC:   14830027   13809719 
ERR:	      0
MIS:	      0
Comment 3 Pete Zaitcev 2008-03-09 14:13:31 EDT
I'm just curious, this isn't a ThinkPad X61 or T61 by any chance?
IBM has a BIOS update on their site which fixes an issue which looks
very similar (mind, not Lenovo's site).
Comment 4 Harsha Srinath 2008-03-09 21:14:36 EDT
Created attachment 297384 [details]
Output of dmesg
Comment 5 Harsha Srinath 2008-03-09 21:15:11 EDT
Created attachment 297385 [details]
Output of /proc/interrupts
Comment 6 Harsha Srinath 2008-03-09 21:15:31 EDT
Created attachment 297386 [details]
Output of lspci
Comment 7 Harsha Srinath 2008-03-09 21:17:19 EDT
Created attachment 297387 [details]
Screenshot # 1 of problem during bootup
Comment 8 Harsha Srinath 2008-03-09 21:18:23 EDT
Created attachment 297388 [details]
Screenshot # 2 of problem during bootup
Comment 9 Harsha Srinath 2008-03-09 21:20:26 EDT
Created attachment 297389 [details]
Screenshot # 3 of problem during bootup
Comment 10 Harsha Srinath 2008-03-09 21:26:49 EDT
Created attachment 297391 [details]
Screenshot # 1 of problem during bootup (smaller file size)
Comment 11 Harsha Srinath 2008-03-09 21:27:06 EDT
Created attachment 297392 [details]
Screenshot # 2 of problem during bootup (smaller file size)
Comment 12 Harsha Srinath 2008-03-09 21:27:27 EDT
Created attachment 297393 [details]
Screenshot # 3 of problem during bootup (smaller file size)
Comment 13 Harsha Srinath 2008-03-09 21:27:42 EDT
Created attachment 297394 [details]
Screenshot # 4 of problem during bootup (smaller file size)
Comment 14 Harsha Srinath 2008-03-09 21:28:07 EDT
Created attachment 297395 [details]
Screenshot # 5 of problem during bootup (smaller file size)
Comment 15 Harsha Srinath 2008-03-09 21:35:53 EDT
I ran into the exact same problem when I upgraded from 2.6.23.1-42.fc8 to
2.6.24.3-12.fc8.

Its an Intel Core Duo Dell Inspiron 530 with the latest firmware - 1.0.10.

I've attached the output of dmesg, lspci and /proc/interrupts taken when booted
in the 2.6.23.1-42.fc8 kernel. The screenshots show the problem happening when
booting the 2.6.24.3-12.fc8 kernel.

I'll be happy to try any debug kernel rpm.

Regards,
Harsha Srinath
Comment 16 Need Real Name 2008-03-10 03:01:36 EDT
HW is an Standard PC, Intel Core(TM)2 6600, MSI P965 Platinum Motherboard
Comment 17 Sven Neuhaus 2008-03-11 08:40:27 EDT
I get a very similar error on a PC with a MSI P965 Neo mainboard. This error
happened earlier but was fixed. It's now back with 2.6.24.3. See bug #242561.

Is there a way to log the kernel messages of an unsuccessful boot without a
serial console on another PC?

For the record, the IRQ in question is 20.

irqpoll seems to solve the problem, however previously using "irqpoll" meant far
worse performance/reponsiveness.
Comment 18 Sven Neuhaus 2008-04-03 08:21:05 EDT
This bug is still present with kernel-2.6.24.4-64.fc8
Comment 19 Thomas Müller 2008-05-02 09:05:21 EDT
I just installed Fedora rawhide on a computer with an ASUS P4C800-E Deluxe
motherboard and it look's like I'm having the same problem with
kernel-2.6.25-8.fc9.i686.

However, it's possible to work around this by changing some BIOS-Options:
Within the BIOS-Setup you can set "Onboard IDE Operate Mode" to "Enhanced Mode"
or "Compatible Mode".
If set to "Enhanced Mode" you can select if enhanced mode is active for
"P-ATA+S-ATA", "S-ATA" or "P-ATA".
When set to "P-ATA+S-ATA" the afore mentioned problem occurs. But setting this
to "S-ATA" makes the problem go away and it's possible to boot without "irqpoll".

I don't know if these changes are directly related to the problem or if they
just mix up the configuration a little, so that the problem no longer occurs.

If you need more information about my system, please just tell me what exactly
you need.
Comment 20 Need Real Name 2008-05-02 12:58:33 EDT
Great - that was an excellent hint IDE vs. AHCI is the key !

I set everything to AHCI on my MSI P965 Platinum and now I can boot just fine
and everything seems to work - finally a current kernel again...

This will of course will still be a show stopper for people who dual-boot with
legacy operating systems as they probably need the IDE emulation...

Comment 21 Andrej 2008-09-16 08:49:47 EDT
I have the same problem with DFI LanParty DK X38 T2RB motherboard (quick solution is to boot with irqpoll).
I tried to switch to AHCI, but then i can't boot Fedora 9 (newest kernel, 2.6.25.3).
Error:
  mount: could not find filesystem '/dev/root'
Probably I need to change grub and fstab settings but I don't know how. First I change all partitions UUID to physical path (i.e. /dev/sda1), but still it doesn't help. Grub?

Or do I have to reinstall Fedora?
Comment 22 Thomas Müller 2008-09-16 10:40:38 EDT
(In reply to comment #21)
> I have the same problem with DFI LanParty DK X38 T2RB motherboard (quick
> solution is to boot with irqpoll).
> I tried to switch to AHCI, but then i can't boot Fedora 9 (newest kernel,
> 2.6.25.3).
> Error:
>   mount: could not find filesystem '/dev/root'
> Probably I need to change grub and fstab settings but I don't know how. First I
> change all partitions UUID to physical path (i.e. /dev/sda1), but still it
> doesn't help. Grub?

You should keep the UUID references as they will be valid even when you switch to AHCI. Physical paths might change.

My guess is that the kernel's initrd doesn't contain the ahci module. If that's the case, the kernel won't be able to access the hard drive and won't be able to mount the filesystem.

You'd have to create a new initrd and force the ahci module to be included. Don't know how to do that, though...
Comment 23 Andrej 2008-09-16 11:33:54 EDT
Then it's easier for me to simply reinstall Fedora with AHCI enabled. But there should be some "bigger" warning about this problem for other users. Common bugs?
Comment 24 Bug Zapper 2008-11-26 05:05:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2009-01-09 01:08:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.